apiVersion: v1
items:
- apiVersion: operator.tekton.dev/v1alpha1
  kind: TektonConfig
  metadata:
    creationTimestamp: "2025-09-10T16:53:50Z"
    finalizers:
    - tektonconfigs.operator.tekton.dev
    generation: 3
    labels:
      openshift-pipelines.tekton.dev/sa-created: "true"
      operator.tekton.dev/release-version: 1.19.3
    name: config
    resourceVersion: "171398"
    uid: f140b68a-6d72-40c7-88f8-10b8ef93f38f
  spec:
    addon:
      params:
      - name: pipelineTemplates
        value: "true"
      - name: resolverTasks
        value: "true"
      - name: resolverStepActions
        value: "true"
      - name: communityResolverTasks
        value: "true"
    chain:
      artifacts.oci.format: simplesigning
      artifacts.oci.storage: oci
      artifacts.pipelinerun.format: in-toto
      artifacts.pipelinerun.storage: oci
      artifacts.taskrun.format: in-toto
      artifacts.taskrun.storage: oci
      disabled: false
      options: {}
      performance:
        disable-ha: false
    config: {}
    dashboard:
      options: {}
      readonly: false
    hub:
      options: {}
    pipeline:
      await-sidecar-readiness: true
      coschedule: workspaces
      default-service-account: pipeline
      disable-affinity-assistant: true
      disable-creds-init: false
      enable-api-fields: beta
      enable-bundles-resolver: true
      enable-cel-in-whenexpression: false
      enable-cluster-resolver: true
      enable-custom-tasks: true
      enable-git-resolver: true
      enable-hub-resolver: true
      enable-param-enum: false
      enable-provenance-in-status: true
      enable-step-actions: true
      enforce-nonfalsifiability: none
      keep-pod-on-cancel: false
      max-result-size: 4096
      metrics.count.enable-reason: false
      metrics.pipelinerun.duration-type: histogram
      metrics.pipelinerun.level: pipeline
      metrics.taskrun.duration-type: histogram
      metrics.taskrun.level: task
      options: {}
      params:
      - name: enableMetrics
        value: "true"
      performance:
        disable-ha: false
      require-git-ssh-secret-known-hosts: false
      results-from: termination-message
      running-in-environment-with-injected-sidecars: true
      send-cloudevents-for-runs: false
      set-security-context: false
      trusted-resources-verification-no-match-policy: ignore
    platforms:
      openshift:
        pipelinesAsCode:
          enable: true
          options: {}
          settings:
            application-name: Pipelines as Code CI
            auto-configure-new-github-repo: "false"
            auto-configure-repo-namespace-template: ""
            bitbucket-cloud-additional-source-ip: ""
            bitbucket-cloud-check-source-ip: "true"
            custom-console-name: ""
            custom-console-url: ""
            custom-console-url-namespace: ""
            custom-console-url-pr-details: ""
            custom-console-url-pr-tasklog: ""
            default-max-keep-runs: "0"
            enable-cancel-in-progress-on-pull-requests: "false"
            enable-cancel-in-progress-on-push: "false"
            error-detection-from-container-logs: "true"
            error-detection-max-number-of-lines: "50"
            error-detection-simple-regexp: ^(?P<filename>[^:]*):(?P<line>[0-9]+):(?P<column>[0-9]+)?([
              ]*)?(?P<error>.*)
            error-log-snippet: "true"
            hub-catalog-name: tekton
            hub-url: https://api.hub.tekton.dev/v1
            max-keep-run-upper-limit: "0"
            remember-ok-to-test: "false"
            remote-tasks: "true"
            secret-auto-create: "true"
            secret-github-app-scope-extra-repos: ""
            secret-github-app-token-scoped: "true"
            skip-push-event-for-pr-commits: "true"
            tekton-dashboard-url: ""
        scc:
          default: pipelines-scc
    profile: all
    pruner:
      disabled: true
      keep: 100
      resources:
      - pipelinerun
      schedule: 0 8 * * *
    result:
      disabled: false
      is_external_db: false
      options: {}
      performance:
        disable-ha: false
    targetNamespace: openshift-pipelines
    tektonpruner:
      disabled: false
      options: {}
    trigger:
      default-service-account: pipeline
      enable-api-fields: stable
      options: {}
  status:
    annotations:
      operator.tekton.dev/post-upgrade-version: 1.19.3
      operator.tekton.dev/pre-upgrade-version: 1.19.3
    conditions:
    - lastTransitionTime: "2025-09-10T17:07:15Z"
      status: "True"
      type: ComponentsReady
    - lastTransitionTime: "2025-09-10T16:56:47Z"
      status: "True"
      type: PostInstall
    - lastTransitionTime: "2025-09-10T16:56:51Z"
      status: "True"
      type: PostUpgrade
    - lastTransitionTime: "2025-09-10T16:54:02Z"
      status: "True"
      type: PreInstall
    - lastTransitionTime: "2025-09-10T16:54:01Z"
      status: "True"
      type: PreUpgrade
    - lastTransitionTime: "2025-09-10T17:07:15Z"
      status: "True"
      type: Ready
    tektonInstallerSets:
      rhosp-rbac: rhosp-rbac-8wx4x
    version: 1.19.3
kind: List
metadata:
  resourceVersion: ""
